Summary:	Allows command execution as root for specified users.
Name:		sudo
Group:		Applications/System
License:	BSD
Version:	1.6.8p9
Release:	3
URL:		http://www.courtesan.com/sudo
Source0:	http://probsd.org/sudoftp/%{name}-%{version}.tar.gz
Source1:	sudoers-gd1
Patch00:	sudo-1.6.8p8-selinux-gd-1.diff
Obsoletes:	cu-sudo
BuildRoot:	/var/tmp/%{name}-%{version}-%{release}-root

%description
Sudo is a program designed to allow a sysadmin to give limited root
privileges to users and log root activity. The basic philosophy is
to give as few privileges as possible but still allow people to get
their work done.

%files
  %defattr(-,root,root)
  %doc BUGS CHANGES HISTORY INSTALL PORTING README RUNSON TODO
  %doc TROUBLESHOOTING UPGRADE sample.sudoers
  %doc %{_mandir}/*/*

  %attr(0400,root,root)		%config(noreplace) %{_sysconfdir}/sudoers
  %attr(0640,root,admin)	%{_sysconfdir}/logrotate.d/sudo
  %attr(0640,root,admin)	%{_sysconfdir}/pam.d/sudo
  %attr(4510,root,admin)	%{_bindir}/sudo
  %attr( 510,root,admin)	%{_sbindir}/sesh
  %attr(0500,root,root)		%{_sbindir}/visudo
  %attr(0600,root,root)		%config(noreplace) %{_var}/log/sudo.log
  %{_var}/run/sudo

%prep
%setup -q
%patch0 -p1

%build
  export VIFLAG="--with--editor=/bin/vi"
  export CFLAGS="$RPM_OPT_FLAGS -D_GNU_SOURCE"

  %configure --with-logging=both \
	     --with-logpath=%{_var}/log/sudo.log \
	     --enable-log-host \
	     --disable-log-wrap \
	     --with-pam \
	     --with-env-editor \
	     --with--editor=%{_root_bindir}/vi
  make

%install
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

  %makeinstall

  # write over sudoers with ours
  install %{SOURCE1} $RPM_BUILD_ROOT/%{_sysconfdir}/sudoers

  mkdir -p $RPM_BUILD_ROOT/%{_var}/run/sudo
  chmod 700 $RPM_BUILD_ROOT/%{_var}/run/sudo

  # syslog will not create a sudo.log file so we have to do that here
  mkdir -p $RPM_BUILD_ROOT/%{_var}/log
  touch $RPM_BUILD_ROOT/%{_var}/log/sudo.log

  # Install PAM config
  mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/pam.d
  install sample.pam $RPM_BUILD_ROOT/%{_sysconfdir}/pam.d/sudo

  # Installing logrotated file
  mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/logrotate.d
  cat <<END >$RPM_BUILD_ROOT/%{_sysconfdir}/logrotate.d/sudo
/var/log/sudo.log {
    weekly
    compress
}
END

  # Remove unpackaged files.
  rm -f $RPM_BUILD_ROOT/%{_bindir}/sudoedit

%clean
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Aug 25 2005 Peter O'Hara <pete@guardiandigital.com>
- Version 1.6.8p9, Release 3
  - Upgrade to latest patch level

* Wed Jul 06 2005 Ryan W. Maple <ryan@guardiandigital.com>
- Version 1.6.8p8, Release 2
  - Patch in support for SELinux.

* Tue Jun 30 2005 Pete O'Hara <pete@guardiandigital.com>
- Version 1.6.8p8, Release 1
  - Initial build for EnGarde Secure Linux 3.0.
